/*
** pat_data.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:49:52 1999 
** Last update Thu Oct 28 20:21:30 1999 
*/
#ifndef PAT_DATA_H
#define PAT_DATA_H	1

#include "pat.h"

extern t_u32		pat_data_bytes_per_line;
extern t_pat		data_pat;
extern t_pat		dataebcdic_pat;
extern t_pat		datalen_pat;

/* PROTO pat_data.c */
/* pat_data.c */
t_status ebcdic_buf_to_cooked_str_i P((int off, unsigned char *b, int l, int br, char *br_str, char *spc_str, char *big_spc_str, char *nonprint_str, t_vec *ascii_vec, char *str, int max_len));
t_status ebcdic_buf_to_cooked_str P((char *buf, int len, int br, char *br_str, char *spc_str, char *big_spc_str, char *nonprint_str, t_vec *ascii_vec, char *str, int max_len));
void pat_data_destroy P((void));
t_status ascii_vec_default P((t_vec *vec));
t_status ebcdic_to_ascii_vec_default P((t_vec *vec));
t_status pat_data_init P((void));
t_status data_pat_off P((void *data, char *buf, int len, t_off *off_return));
t_status data_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status data_pat_get_tmpl P((void *data, t_id *id, char *buf, int len, char *str, int max_len));
t_status data_pat_get_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *str, int max_len));
t_status data_pat_get_fields P((void *data, t_vec *vec_str));
t_status dataebcdic_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status dataebcdic_pat_get_tmpl P((void *data, t_id *id, char *buf, int len, char *str, int max_len));
t_status dataebcdic_pat_get_field P((void *data, t_id *optional_id, char *buf, int len, char *field, char *str, int max_len));
t_status dataebcdic_pat_get_fields P((void *data, t_vec *vec_str));
t_status datalen_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status datalen_pat_get_tmpl P((void *data, t_id *id, char *buf, int len, char *str, int max_len));
#endif
